Skip to main content
GET
List applications for a job

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Path Parameters

jobid
integer
required

Job ID

Query Parameters

limit
integer
default:20

Maximum number of items to return per page

Required range: 1 <= x <= 100
since
integer

Return items created or modified since this ID

Required range: x >= 0
step_name
string

Filter applications by the name of their current step. Valid step names can be found in the process field of the job details.

step_status
enum<string>

Filter applications by their current step status.

Available options:
START,
CURRENT,
END
step
integer

Filter applications by the id of their current step. Valid step ids can be found in the process field of the job details.

last_step_since
string<date>

Filter applications whose last step change occurred on or after this date (inclusive). ISO 8601 format: YYYY-MM-DD.

last_step_until
string<date>

Filter applications whose last step change occurred on or before this date (inclusive). ISO 8601 format: YYYY-MM-DD.

last_name
string

Filter applications by the candidate's last name.

first_name
string

Filter applications by the candidate's first name.

email
string<email>

Filter applications by the candidate's email address.

Response

Paginated list of applications

_self
string<uri>
_schema
string<uri>
_status
enum<string>
Available options:
OK,
INVALID
_next
string<uri> | null
items
object[]